Pretest Build Reports - Build 6045 details

For more information see http://pretest.nongnu.org.

← back to list

Project: coreutils-8.30.33-1afb0
Source: https://agnx.s3.amazonaws.com/tmp/coreutils-8.30.33-1afb0.tar.xz
System: Oracle SunOS 5.11 (i86pc)
Status:
make-check failed
Download logs (what's inside?) coreutils-8.30.33-1afb0.pretest-build-report.build-6045.tar.bz2
Failed tests from tests-suite-summary.log:
=========================================================
GNU coreutils 8.30.33-1afb0: ./tests/test-suite.log
=========================================================

# TOTAL: 611
# PASS:  444
# SKIP:  163
# XFAIL: 0
# FAIL:  4
# XPASS: 0
# ERROR: 0

FAIL: tests/misc/test-N
=======================

++ initial_cwd_=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0
+++ testdir_prefix_
+++ printf gt
++ pfx_=gt
+++ mktempd_ /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0 gt-test-N.sh.XXXX
+++ case $# in
+++ destdir_=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0
+++ template_=gt-test-N.sh.XXXX
+++ MAX_TRIES_=4
+++ case $destdir_ in
+++ destdir_slash_=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0/
+++ case $template_ in
++++ unset TMPDIR
+++ d=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0/gt-test-N.sh.Hu4X
+++ case $d in
+++ :
+++ test -d /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0/gt-test-N.sh.Hu4X
++++ ls -dgo /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0/gt-test-N.sh.Hu4X
+++ perms='drwx------ 2 2 Dec 21 22:57 /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0/gt-test-N.sh.Hu4X'
+++ case $perms in
+++ :
+++ echo /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0/gt-test-N.sh.Hu4X
+++ return
++ test_dir_=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0/gt-test-N.sh.Hu4X
++ cd /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0/gt-test-N.sh.Hu4X
++ gl_init_sh_nl_='
'
++ IFS='
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=' 0
+ path_dir_=./src
+ case $path_dir_ in
+ abs_path_dir_=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0/./src
+ case $abs_path_dir_ in
+ PATH=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0/./src:/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0/src:/usr/xpg4/bin:/usr/gnu/bin:/usr/xpg6/bin:/usr/xpg4/bin/:/opt/csw/bin:/usr/bin:/bin:/sbin:/usr/sbin
+ create_exe_shims_ /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ print_ver_ test
+ require_built_ test
+ skip_=no
+ for i in '"$@"'
+ case " $built_programs " in
+ test no = yes
+ test yes = yes
+ local i
+ for i in '$*'
+ env test --version
+ touch file
+ stat file
File: file
Size: 0         	Blocks: 1          IO Block: 8192   regular empty file
Device: 8e4273bh/149169979d	Inode: 199295      Links: 1
Access: (0644/-rw-r--r--)  Uid: (11068/     agn)   Gid: (10000/     csw)
Access: 2018-12-21 22:57:32.801271628 +0100
Modify: 2018-12-21 22:57:32.801272836 +0100
Change: 2018-12-21 22:57:32.801310509 +0100
Birth: -
+ returns_ 1 env test -N file
+ fail=1
+ touch -a -d '12:00 today -2 days' file
+ stat file
File: file
Size: 0         	Blocks: 1          IO Block: 8192   regular empty file
Device: 8e4273bh/149169979d	Inode: 199295      Links: 1
Access: (0644/-rw-r--r--)  Uid: (11068/     agn)   Gid: (10000/     csw)
Access: 2018-12-19 12:00:00.000000000 +0100
Modify: 2018-12-21 22:57:32.801272836 +0100
Change: 2018-12-21 22:57:32.829177212 +0100
Birth: -
+ env test -N file
+ touch -m -d '12:00 today -4 days' file
+ stat file
File: file
Size: 0         	Blocks: 1          IO Block: 8192   regular empty file
Device: 8e4273bh/149169979d	Inode: 199295      Links: 1
Access: (0644/-rw-r--r--)  Uid: (11068/     agn)   Gid: (10000/     csw)
Access: 2018-12-19 12:00:00.000000000 +0100
Modify: 2018-12-17 12:00:00.000000000 +0100
Change: 2018-12-21 22:57:32.852126788 +0100
Birth: -
+ returns_ 1 env test -N file
+ stat file
File: file
Size: 0         	Blocks: 1          IO Block: 8192   regular empty file
Device: 8e4273bh/149169979d	Inode: 199295      Links: 1
Access: (0644/-rw-r--r--)  Uid: (11068/     agn)   Gid: (10000/     csw)
Access: 2018-12-19 12:00:00.000000000 +0100
Modify: 2018-12-21 22:57:32.871181389 +0100
Change: 2018-12-21 22:57:32.871181389 +0100
Birth: -
+ env test -N file
+ Exit 1
+ set +e
+ exit 1
+ exit 1
+ remove_tmp_
+ __st=1
+ cleanup_
+ :
+ test '' = yes
+ cd /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0
+ chmod -R u+rwx /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0/gt-test-N.sh.Hu4X
+ rm -rf /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0/gt-test-N.sh.Hu4X
+ exit 1
FAIL tests/misc/test-N.sh (exit status: 1)

FAIL: tests/cp/no-deref-link1
=============================

++ initial_cwd_=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0
+++ testdir_prefix_
+++ printf gt
++ pfx_=gt
+++ mktempd_ /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0 gt-no-deref-link1.sh.XXXX
+++ case $# in
+++ destdir_=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0
+++ template_=gt-no-deref-link1.sh.XXXX
+++ MAX_TRIES_=4
+++ case $destdir_ in
+++ destdir_slash_=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0/
+++ case $template_ in
++++ unset TMPDIR
+++ d=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0/gt-no-deref-link1.sh.xEzt
+++ case $d in
+++ :
+++ test -d /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0/gt-no-deref-link1.sh.xEzt
++++ ls -dgo /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0/gt-no-deref-link1.sh.xEzt
+++ perms='drwx------ 2 2 Dec 21 22:59 /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0/gt-no-deref-link1.sh.xEzt'
+++ case $perms in
+++ :
+++ echo /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0/gt-no-deref-link1.sh.xEzt
+++ return
++ test_dir_=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0/gt-no-deref-link1.sh.xEzt
++ cd /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0/gt-no-deref-link1.sh.xEzt
++ gl_init_sh_nl_='
'
++ IFS='
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=' 0
+ path_dir_=./src
+ case $path_dir_ in
+ abs_path_dir_=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0/./src
+ case $abs_path_dir_ in
+ PATH=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0/./src:/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0/src:/usr/xpg4/bin:/usr/gnu/bin:/usr/xpg6/bin:/usr/xpg4/bin/:/opt/csw/bin:/usr/bin:/bin:/sbin:/usr/sbin
+ create_exe_shims_ /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ print_ver_ cp
+ require_built_ cp
+ skip_=no
+ for i in '"$@"'
+ case " $built_programs " in
+ test no = yes
+ test yes = yes
+ local i
+ for i in '$*'
+ env cp --version
cp (GNU coreutils) 8.30.33-1afb0
Copyright (C) 2018 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbjorn Granlund, David MacKenzie, and Jim Meyering.
+ mkdir a b
+ msg=bar
+ echo bar
+ cd b
+ ln -s ../a/foo .
ln: failed to create symbolic link '.': Invalid argument
+ cd ..
+ returns_ 1 cp -d a/foo b
+ fail=1
++ cat a/foo
+ test bar = bar
+ Exit 1
+ set +e
+ exit 1
+ exit 1
+ remove_tmp_
+ __st=1
+ cleanup_
+ :
+ test '' = yes
+ cd /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0
+ chmod -R u+rwx /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0/gt-no-deref-link1.sh.xEzt
+ rm -rf /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0/gt-no-deref-link1.sh.xEzt
+ exit 1
FAIL tests/cp/no-deref-link1.sh (exit status: 1)

FAIL: tests/cp/no-deref-link2
=============================

++ initial_cwd_=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0
+++ testdir_prefix_
+++ printf gt
++ pfx_=gt
+++ mktempd_ /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0 gt-no-deref-link2.sh.XXXX
+++ case $# in
+++ destdir_=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0
+++ template_=gt-no-deref-link2.sh.XXXX
+++ MAX_TRIES_=4
+++ case $destdir_ in
+++ destdir_slash_=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0/
+++ case $template_ in
++++ unset TMPDIR
+++ d=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0/gt-no-deref-link2.sh.Gn2c
+++ case $d in
+++ :
+++ test -d /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0/gt-no-deref-link2.sh.Gn2c
++++ ls -dgo /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0/gt-no-deref-link2.sh.Gn2c
+++ perms='drwx------ 2 2 Dec 21 22:59 /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0/gt-no-deref-link2.sh.Gn2c'
+++ case $perms in
+++ :
+++ echo /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0/gt-no-deref-link2.sh.Gn2c
+++ return
++ test_dir_=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0/gt-no-deref-link2.sh.Gn2c
++ cd /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0/gt-no-deref-link2.sh.Gn2c
++ gl_init_sh_nl_='
'
++ IFS='
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=' 0
+ path_dir_=./src
+ case $path_dir_ in
+ abs_path_dir_=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0/./src
+ case $abs_path_dir_ in
+ PATH=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0/./src:/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0/src:/usr/xpg4/bin:/usr/gnu/bin:/usr/xpg6/bin:/usr/xpg4/bin/:/opt/csw/bin:/usr/bin:/bin:/sbin:/usr/sbin
+ create_exe_shims_ /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ print_ver_ cp
+ require_built_ cp
+ skip_=no
+ for i in '"$@"'
+ case " $built_programs " in
+ test no = yes
+ test yes = yes
+ local i
+ for i in '$*'
+ env cp --version
cp (GNU coreutils) 8.30.33-1afb0
Copyright (C) 2018 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbjorn Granlund, David MacKenzie, and Jim Meyering.
+ mkdir b
+ msg=bar
+ echo bar
+ cd b
+ ln -s ../a .
ln: failed to create symbolic link '.': Invalid argument
+ cd ..
+ returns_ 1 cp -d a b
+ fail=1
++ cat a
+ test bar = bar
+ Exit 1
+ set +e
+ exit 1
+ exit 1
+ remove_tmp_
+ __st=1
+ cleanup_
+ :
+ test '' = yes
+ cd /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0
+ chmod -R u+rwx /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0/gt-no-deref-link2.sh.Gn2c
+ rm -rf /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0/gt-no-deref-link2.sh.Gn2c
+ exit 1
FAIL tests/cp/no-deref-link2.sh (exit status: 1)

FAIL: tests/id/zero
===================

++ initial_cwd_=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0
+++ testdir_prefix_
+++ printf gt
++ pfx_=gt
+++ mktempd_ /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0 gt-zero.sh.XXXX
+++ case $# in
+++ destdir_=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0
+++ template_=gt-zero.sh.XXXX
+++ MAX_TRIES_=4
+++ case $destdir_ in
+++ destdir_slash_=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0/
+++ case $template_ in
++++ unset TMPDIR
+++ d=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0/gt-zero.sh.WuoT
+++ case $d in
+++ :
+++ test -d /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0/gt-zero.sh.WuoT
++++ ls -dgo /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0/gt-zero.sh.WuoT
+++ perms='drwx------ 2 2 Dec 21 23:01 /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0/gt-zero.sh.WuoT'
+++ case $perms in
+++ :
+++ echo /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0/gt-zero.sh.WuoT
+++ return
++ test_dir_=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0/gt-zero.sh.WuoT
++ cd /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0/gt-zero.sh.WuoT
++ gl_init_sh_nl_='
'
++ IFS='
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=' 0
+ path_dir_=./src
+ case $path_dir_ in
+ abs_path_dir_=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0/./src
+ case $abs_path_dir_ in
+ PATH=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0/./src:/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0/src:/usr/xpg4/bin:/usr/gnu/bin:/usr/xpg6/bin:/usr/xpg4/bin/:/opt/csw/bin:/usr/bin:/bin:/sbin:/usr/sbin
+ create_exe_shims_ /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ print_ver_ id
+ require_built_ id
+ skip_=no
+ for i in '"$@"'
+ case " $built_programs " in
+ test no = yes
+ test yes = yes
+ local i
+ for i in '$*'
+ env id --version
id (GNU coreutils) 8.30.33-1afb0
Copyright (C) 2018 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Arnold Robbins and David MacKenzie.
++ id -nu
+ u=agn
+ id
uid=11068(agn) gid=10000(csw) groups=10000(csw)
+ id agn
uid=11068(agn) gid=10000(csw) groups=10000(csw)
+ echo 'id: option --zero not permitted in default format'
+ id --zero
+ compare /dev/null out
+ compare_dev_null_ /dev/null out
+ test 2 = 2
+ test x/dev/null = x/dev/null
+ test -s out
+ return 0
+ return 0
+ compare err-exp err
+ compare_dev_null_ err-exp err
+ test 2 = 2
+ test xerr-exp = x/dev/null
+ test xerr = x/dev/null
+ return 2
+ case $? in
+ compare_ err-exp err
+ diff -u err-exp err
+ users=agn
+ for u in root man postfix sshd nobody
+ id root
+ users='agn root'
+ for u in root man postfix sshd nobody
+ id man
+ for u in root man postfix sshd nobody
+ id postfix
+ for u in root man postfix sshd nobody
+ id sshd
+ for u in root man postfix sshd nobody
+ id nobody
+ users='agn root nobody'
+ printf '%s\n' agn root nobody ''
+ printf '\n'
+ read u
+ for o in g gr G Gr u ur
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -g[z] agn'
+ printf '\n%s: ' 'id -g[z] agn'
+ id -g agn
+ id -gz agn
+ head -c-1
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -gn[z] agn'
+ printf '\n%s: ' 'id -gn[z] agn'
+ id -gn agn
+ id -gnz agn
+ head -c-1
+ for o in g gr G Gr u ur
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -gr[z] agn'
+ printf '\n%s: ' 'id -gr[z] agn'
+ id -gr agn
+ id -grz agn
+ head -c-1
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -grn[z] agn'
+ printf '\n%s: ' 'id -grn[z] agn'
+ id -grn agn
+ id -grnz agn
+ head -c-1
+ for o in g gr G Gr u ur
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -G[z] agn'
+ printf '\n%s: ' 'id -G[z] agn'
+ id -G agn
+ id -Gz agn
+ head -c-1
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -Gn[z] agn'
+ printf '\n%s: ' 'id -Gn[z] agn'
+ id -Gn agn
+ id -Gnz agn
+ head -c-1
+ for o in g gr G Gr u ur
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -Gr[z] agn'
+ printf '\n%s: ' 'id -Gr[z] agn'
+ id -Gr agn
+ id -Grz agn
+ head -c-1
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -Grn[z] agn'
+ printf '\n%s: ' 'id -Grn[z] agn'
+ id -Grn agn
+ id -Grnz agn
+ head -c-1
+ for o in g gr G Gr u ur
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -u[z] agn'
+ printf '\n%s: ' 'id -u[z] agn'
+ id -u agn
+ id -uz agn
+ head -c-1
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -un[z] agn'
+ printf '\n%s: ' 'id -un[z] agn'
+ id -un agn
+ id -unz agn
+ head -c-1
+ for o in g gr G Gr u ur
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -ur[z] agn'
+ printf '\n%s: ' 'id -ur[z] agn'
+ id -ur agn
+ id -urz agn
+ head -c-1
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -urn[z] agn'
+ printf '\n%s: ' 'id -urn[z] agn'
+ id -urn agn
+ id -urnz agn
+ head -c-1
+ read u
+ for o in g gr G Gr u ur
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -g[z] root'
+ printf '\n%s: ' 'id -g[z] root'
+ id -g root
+ id -gz root
+ head -c-1
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -gn[z] root'
+ printf '\n%s: ' 'id -gn[z] root'
+ id -gn root
+ id -gnz root
+ head -c-1
+ for o in g gr G Gr u ur
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -gr[z] root'
+ printf '\n%s: ' 'id -gr[z] root'
+ id -gr root
+ id -grz root
+ head -c-1
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -grn[z] root'
+ printf '\n%s: ' 'id -grn[z] root'
+ id -grn root
+ id -grnz root
+ head -c-1
+ for o in g gr G Gr u ur
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -G[z] root'
+ printf '\n%s: ' 'id -G[z] root'
+ id -G root
+ id -Gz root
+ head -c-1
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -Gn[z] root'
+ printf '\n%s: ' 'id -Gn[z] root'
+ id -Gn root
+ id -Gnz root
+ head -c-1
+ for o in g gr G Gr u ur
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -Gr[z] root'
+ printf '\n%s: ' 'id -Gr[z] root'
+ id -Gr root
+ id -Grz root
+ head -c-1
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -Grn[z] root'
+ printf '\n%s: ' 'id -Grn[z] root'
+ id -Grn root
+ id -Grnz root
+ head -c-1
+ for o in g gr G Gr u ur
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -u[z] root'
+ printf '\n%s: ' 'id -u[z] root'
+ id -u root
+ id -uz root
+ head -c-1
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -un[z] root'
+ printf '\n%s: ' 'id -un[z] root'
+ id -un root
+ id -unz root
+ head -c-1
+ for o in g gr G Gr u ur
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -ur[z] root'
+ printf '\n%s: ' 'id -ur[z] root'
+ id -ur root
+ id -urz root
+ head -c-1
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -urn[z] root'
+ printf '\n%s: ' 'id -urn[z] root'
+ id -urn root
+ id -urnz root
+ head -c-1
+ read u
+ for o in g gr G Gr u ur
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -g[z] nobody'
+ printf '\n%s: ' 'id -g[z] nobody'
+ id -g nobody
+ id -gz nobody
+ head -c-1
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -gn[z] nobody'
+ printf '\n%s: ' 'id -gn[z] nobody'
+ id -gn nobody
+ id -gnz nobody
+ head -c-1
+ for o in g gr G Gr u ur
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -gr[z] nobody'
+ printf '\n%s: ' 'id -gr[z] nobody'
+ id -gr nobody
+ id -grz nobody
+ head -c-1
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -grn[z] nobody'
+ printf '\n%s: ' 'id -grn[z] nobody'
+ id -grn nobody
+ id -grnz nobody
+ head -c-1
+ for o in g gr G Gr u ur
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -G[z] nobody'
+ printf '\n%s: ' 'id -G[z] nobody'
+ id -G nobody
+ id -Gz nobody
+ head -c-1
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -Gn[z] nobody'
+ printf '\n%s: ' 'id -Gn[z] nobody'
+ id -Gn nobody
+ id -Gnz nobody
+ head -c-1
+ for o in g gr G Gr u ur
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -Gr[z] nobody'
+ printf '\n%s: ' 'id -Gr[z] nobody'
+ id -Gr nobody
+ id -Grz nobody
+ head -c-1
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -Grn[z] nobody'
+ printf '\n%s: ' 'id -Grn[z] nobody'
+ id -Grn nobody
+ id -Grnz nobody
+ head -c-1
+ for o in g gr G Gr u ur
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -u[z] nobody'
+ printf '\n%s: ' 'id -u[z] nobody'
+ id -u nobody
+ id -uz nobody
+ head -c-1
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -un[z] nobody'
+ printf '\n%s: ' 'id -un[z] nobody'
+ id -un nobody
+ id -unz nobody
+ head -c-1
+ for o in g gr G Gr u ur
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -ur[z] nobody'
+ printf '\n%s: ' 'id -ur[z] nobody'
+ id -ur nobody
+ id -urz nobody
+ head -c-1
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -urn[z] nobody'
+ printf '\n%s: ' 'id -urn[z] nobody'
+ id -urn nobody
+ id -urnz nobody
+ head -c-1
+ read u
+ for o in g gr G Gr u ur
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -g[z] '
+ printf '\n%s: ' 'id -g[z] '
+ id -g
+ id -gz
+ head -c-1
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -gn[z] '
+ printf '\n%s: ' 'id -gn[z] '
+ id -gn
+ id -gnz
+ head -c-1
+ for o in g gr G Gr u ur
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -gr[z] '
+ printf '\n%s: ' 'id -gr[z] '
+ id -gr
+ id -grz
+ head -c-1
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -grn[z] '
+ printf '\n%s: ' 'id -grn[z] '
+ id -grn
+ id -grnz
+ head -c-1
+ for o in g gr G Gr u ur
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -G[z] '
+ printf '\n%s: ' 'id -G[z] '
+ id -G
+ id -Gz
+ head -c-1
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -Gn[z] '
+ printf '\n%s: ' 'id -Gn[z] '
+ id -Gn
+ id -Gnz
+ head -c-1
+ for o in g gr G Gr u ur
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -Gr[z] '
+ printf '\n%s: ' 'id -Gr[z] '
+ id -Gr
+ id -Grz
+ head -c-1
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -Grn[z] '
+ printf '\n%s: ' 'id -Grn[z] '
+ id -Grn
+ id -Grnz
+ head -c-1
+ for o in g gr G Gr u ur
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -u[z] '
+ printf '\n%s: ' 'id -u[z] '
+ id -u
+ id -uz
+ head -c-1
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -un[z] '
+ printf '\n%s: ' 'id -un[z] '
+ id -un
+ id -unz
+ head -c-1
+ for o in g gr G Gr u ur
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -ur[z] '
+ printf '\n%s: ' 'id -ur[z] '
+ id -ur
+ id -urz
+ head -c-1
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -urn[z] '
+ printf '\n%s: ' 'id -urn[z] '
+ id -urn
+ id -urnz
+ head -c-1
+ read u
+ printf '\n'
+ tr '\0' ' '
+ compare exp out2
+ compare_dev_null_ exp out2
+ test 2 = 2
+ test xexp = x/dev/null
+ test xout2 = x/dev/null
+ return 2
+ case $? in
+ compare_ exp out2
+ diff -u exp out2
+ for o in g gr u ur
+ for n in ''\'''\''' n
+ id -g agn root nobody
+ id -gz agn root nobody
+ tr '\0' '\n'
+ for n in ''\'''\''' n
+ id -gn agn root nobody
+ id -gnz agn root nobody
+ tr '\0' '\n'
+ for o in g gr u ur
+ for n in ''\'''\''' n
+ id -gr agn root nobody
+ id -grz agn root nobody
+ tr '\0' '\n'
+ for n in ''\'''\''' n
+ id -grn agn root nobody
+ id -grnz agn root nobody
+ tr '\0' '\n'
+ for o in g gr u ur
+ for n in ''\'''\''' n
+ id -u agn root nobody
+ id -uz agn root nobody
+ tr '\0' '\n'
+ for n in ''\'''\''' n
+ id -un agn root nobody
+ id -unz agn root nobody
+ tr '\0' '\n'
+ for o in g gr u ur
+ for n in ''\'''\''' n
+ id -ur agn root nobody
+ id -urz agn root nobody
+ tr '\0' '\n'
+ for n in ''\'''\''' n
+ id -urn agn root nobody
+ id -urnz agn root nobody
+ tr '\0' '\n'
+ compare tmp1 tmp3
+ compare_dev_null_ tmp1 tmp3
+ test 2 = 2
+ test xtmp1 = x/dev/null
+ test xtmp3 = x/dev/null
+ return 2
+ case $? in
+ compare_ tmp1 tmp3
+ diff -u tmp1 tmp3
+ NL='
'
+ for o in G Gr
+ for n in ''\'''\''' n
+ id -G agn root nobody
+ id -Gz agn root nobody
+ tr '\0' ' '
+ sed 's/  /\
/g'
sed: Missing newline at end of file standard input.
+ for n in ''\'''\''' n
+ id -Gn agn root nobody
+ id -Gnz agn root nobody
+ tr '\0' ' '
+ sed 's/  /\
/g'
sed: Missing newline at end of file standard input.
+ for o in G Gr
+ for n in ''\'''\''' n
+ id -Gr agn root nobody
+ id -Grz agn root nobody
+ tr '\0' ' '
+ sed 's/  /\
/g'
sed: Missing newline at end of file standard input.
+ for n in ''\'''\''' n
+ id -Grn agn root nobody
+ id -Grnz agn root nobody
+ tr '\0' ' '
+ sed 's/  /\
/g'
sed: Missing newline at end of file standard input.
+ compare gtmp1 gtmp3
+ compare_dev_null_ gtmp1 gtmp3
+ test 2 = 2
+ test xgtmp1 = x/dev/null
+ test xgtmp3 = x/dev/null
+ return 2
+ case $? in
+ compare_ gtmp1 gtmp3
+ diff -u gtmp1 gtmp3
--- gtmp1	2018-12-21 23:01:40.189536388 +0100
+++ gtmp3	2018-12-21 23:01:40.238233061 +0100
@@ -1,12 +1,16 @@
10000
0 1 2 3 4 5 6 7 8 9 12
60001
+
csw
root other bin sys adm uucp mail tty lp nuucp daemon
nobody
+
10000
0 1 2 3 4 5 6 7 8 9 12
60001
+
csw
root other bin sys adm uucp mail tty lp nuucp daemon
nobody
+
+ fail=1
+ Exit 1
+ set +e
+ exit 1
+ exit 1
+ remove_tmp_
+ __st=1
+ cleanup_
+ :
+ test '' = yes
+ cd /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0
+ chmod -R u+rwx /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0/gt-zero.sh.WuoT
+ rm -rf /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0/gt-zero.sh.WuoT
+ exit 1
FAIL tests/id/zero.sh (exit status: 1)
Last lines of tail-error.log:
make-check failed, tail of make-check.log:

+ printf '%s\n' 't36.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

env RUN_VERY_EXPENSIVE_TESTS=yes make check

or use the shortcut target of the toplevel Makefile,

make check-very-expensive
'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=77
+ cleanup_
+ :
+ test '' = yes
+ cd /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0
+ chmod -R u+rwx /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0/gt-t36.sh.nS95
+ rm -rf /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0/gt-t36.sh.nS95
+ exit 77
SKIP tests/factor/t36.sh (exit status: 77)

============================================================================
Testsuite summary for GNU coreutils 8.30.33-1afb0
============================================================================
# TOTAL: 611
# PASS:  444
# SKIP:  163
# XFAIL: 0
# FAIL:  4
# XPASS: 0
# ERROR: 0
============================================================================
See ./tests/test-suite.log
Please report to bug-coreutils@gnu.org
============================================================================
make[4]: *** [tests/test-suite.log] Error 1
make[4]: Leaving directory `/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0'
make[3]: *** [check-TESTS] Error 2
make[3]: Leaving directory `/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0'
make[2]: *** [check-am] Error 2
make[2]: Leaving directory `/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0'
make[1]: *** [check-recursive] Error 1
make[1]: Leaving directory `/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T/coreutils-8.30.33-1afb0'
make: *** [check] Error 2

Build information

PATH /usr/gnu/bin:/usr/xpg6/bin:/usr/xpg4/bin/:/opt/csw/bin:usr/sfw/bin:/usr/bin:/bin
SHELL /opt/csw/bin/bash
PWD /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.mjl04T
hostname unstable11x
SOURCE https://agnx.s3.amazonaws.com/tmp/coreutils-8.30.33-1afb0.tar.xz
BASENAME coreutils-8.30.33-1afb0
configure_extra_params
make_extra_params
make_check_extra_params
env_extra_params
git_branch

Build host information

autoconf-version autoconf (GNU Autoconf) 2.69
automake-version automake (GNU automake) 1.15.1
autopoint-version /usr/bin/autopoint (GNU gettext-tools) 0.16.1
autoreconf-version autoreconf (GNU Autoconf) 2.69
make-version GNU Make 3.82
makeinfo-version texi2any (GNU texinfo) 6.1
git-version git version 2.4.0
wget-version GNU Wget 1.19.4 built on solaris2.10.
rsync-version rsync version 3.1.2 protocol version 31
gcc-version gcc (GCC) 5.5.0
cc-version missing
uname-s SunOS
uname-r 5.11
uname-m i86pc
uname-p i386
uname-i i86pc
uname-o Solaris
uname-v 11.3
lsb_release-v
lsb_release-i
lsb_release-d
lsb_release-r
lsb_release-c
etc_release Oracle Solaris 11.3 X86
etc_issue

Download Log Files

logs/tail-error.log 2.1 kB curl -JLO 'http://pretest.housegordon.org/g/6045/logs/tail-error.log'
logs/environment.txt 202 Bytes curl -JLO 'http://pretest.housegordon.org/g/6045/logs/environment.txt'
logs/configure.ok 0 Bytes curl -JLO 'http://pretest.housegordon.org/g/6045/logs/configure.ok'
logs/timestamp.start.txt 76 Bytes curl -JLO 'http://pretest.housegordon.org/g/6045/logs/timestamp.start.txt'
logs/versions.txt 702 Bytes curl -JLO 'http://pretest.housegordon.org/g/6045/logs/versions.txt'
logs/status 18 Bytes curl -JLO 'http://pretest.housegordon.org/g/6045/logs/status'
logs/input.txt 203 Bytes curl -JLO 'http://pretest.housegordon.org/g/6045/logs/input.txt'
logs/make-check.log 861.9 kB curl -JLO 'http://pretest.housegordon.org/g/6045/logs/make-check.log'
logs/make.log 18.9 kB curl -JLO 'http://pretest.housegordon.org/g/6045/logs/make.log'
logs/tests-suite-summary.log 27.7 kB curl -JLO 'http://pretest.housegordon.org/g/6045/logs/tests-suite-summary.log'
logs/make.ok 0 Bytes curl -JLO 'http://pretest.housegordon.org/g/6045/logs/make.ok'
logs/config.status 103.7 kB curl -JLO 'http://pretest.housegordon.org/g/6045/logs/config.status'
logs/configure.log 45.0 kB curl -JLO 'http://pretest.housegordon.org/g/6045/logs/configure.log'
logs/config.log 3.4 MB curl -JLO 'http://pretest.housegordon.org/g/6045/logs/config.log'
logs/test-suite.0.log 830.3 kB curl -JLO 'http://pretest.housegordon.org/g/6045/logs/test-suite.0.log'